---
title: Employees
slug: employees
createdAt: 2026-10-20T09:51:11.729Z
---

{
  "id": "Inrdes0yZ6OJLzSC0E5ah",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://tnapi.ticketpay.de/exports/employees",
    "servers": [
      {
        "url": "https://tnapi.ticketpay.de/exports/employees",
        "description": "The production API server"
      }
    ],
    "name": "Employees",
    "description": "<p>With this endpoint you can get a list of your employees if you use our accreditation system. The default output is JSON.\nFor results in a CSV file please extend the url with .csv\nIf you use time filter please note that this is used by default to the 'updated_iso' field. If you wish to use it to the 'created_iso' field please use filter_by parameter.</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "kind": "required",
          "name": "Authorization",
          "type": "string",
          "description": "<p>To authentificate please use your API-KEY created here <a href=\"https://iam.ticketpay.de/api-keys\" target=\"_blank\">https://iam.ticketpay.de/api-keys</a>. Please give this API-KEY the role Export.</p>"
        }
      ],
      "queryParameters": [
        {
          "kind": "optional",
          "name": "from",
          "type": "string",
          "example": "2025-05-01T00:00:00.000",
          "description": "<p>A date or datetime parameter to select the data start with this date. In default this filter is used in the field updated_iso.</p>"
        },
        {
          "kind": "optional",
          "name": "to",
          "type": "string",
          "example": "2025-05-05",
          "description": "<p>A date or datetime parameter to select the data end with this date. In default this filter is used in the field updated_iso.</p>"
        },
        {
          "kind": "optional",
          "name": "filter_by",
          "type": "string",
          "example": "created_iso",
          "description": "<p>Datetime filter field. Default value is updated_iso. Possible values are created_iso and updated_iso</p>"
        },
        {
          "kind": "optional",
          "name": "time_period",
          "type": "string",
          "description": "<p>If you dont want to use from and to you can use a time period to select data with a special period. Possible values are months, days, hours, minutes, seconds</p>"
        },
        {
          "kind": "optional",
          "name": "time_range",
          "type": "integer",
          "description": "<p>A time range is needed if you use the time_period parameter to select data. For exapmle you want tho get the last two months - time_period is months and time_range is 2</p>"
        },
        {
          "kind": "optional",
          "name": "id",
          "type": "integer",
          "description": "To filter the results you can pass here the id of your employee"
        },
        {
          "kind": "optional",
          "name": "email",
          "type": "string",
          "description": "To filter the results you can pass here an email address. The results will put all employees with this email address."
        },
        {
          "kind": "optional",
          "name": "qrcode_value",
          "type": "integer",
          "description": "To filter the results you can pass here the qrcode value of a checkin media of your employee"
        },
        {
          "kind": "optional",
          "name": "project_id",
          "type": "integer",
          "description": "<p>To filter the results you can pass here the pproject_id of one of your projects</p>"
        },
        {
          "kind": "optional",
          "name": "partner_id",
          "type": "integer",
          "description": "<p>To filter the results you can pass here the partner_id of one of your partners</p>"
        },
        {
          "kind": "optional",
          "name": "profile_id",
          "type": "integer",
          "description": "<p>To filter the results you can pass here the profile_id of one of your access profiles</p>"
        },
        {
          "kind": "optional",
          "name": "status",
          "type": "string",
          "description": "To filter the results you can pass here the status of vouchers. The results will put all vouchers with this status."
        },
        {
          "kind": "optional",
          "name": "per_page",
          "type": "integer",
          "description": "For pagination. Defines the number of data per page in the output."
        },
        {
          "kind": "optional",
          "name": "page",
          "type": "integer",
          "description": "For pagination. Defines the page number for the data output."
        }
      ],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Response for get employees.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "get_employees",
            "schema": [
              {
                "name": "total",
                "kind": "optional",
                "type": "integer",
                "description": "",
                "example": 14
              },
              {
                "name": "page",
                "kind": "optional",
                "type": "integer",
                "description": "",
                "example": 1
              },
              {
                "name": "size",
                "kind": "optional",
                "type": "integer",
                "description": "",
                "example": 32
              },
              {
                "name": "data",
                "kind": "optional",
                "type": "array",
                "description": "",
                "example": "",
                "itemType": "object",
                "customType": "object[]",
                "schema": [
                  {
                    "name": "id",
                    "kind": "optional",
                    "type": "integer",
                    "description": "",
                    "example": 23841
                  },
                  {
                    "name": "status",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": "imported"
                  },
                  {
                    "name": "first_name",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": "John"
                  },
                  {
                    "name": "middle_names",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": "Hans"
                  },
                  {
                    "name": "last_name",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": "Wilson"
                  },
                  {
                    "name": "birth_name",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": "Wilson"
                  },
                  {
                    "name": "previous_last_names",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": "Wilsonsen"
                  },
                  {
                    "name": "birth_date",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": "2000-01-01T00:00:00.000+01:00"
                  },
                  {
                    "name": "birth_place",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": "Hamm"
                  },
                  {
                    "name": "birth_country",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": "DE"
                  },
                  {
                    "name": "zip",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": 59071
                  },
                  {
                    "name": "city",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": "Hamm"
                  },
                  {
                    "name": "street",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": "Herbert-Rust-Weg"
                  },
                  {
                    "name": "house_number",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": 27
                  },
                  {
                    "name": "nationality",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": "Deutsch"
                  },
                  {
                    "name": "country",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": "DE"
                  },
                  {
                    "name": "state",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": "NW"
                  },
                  {
                    "name": "gender",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": "m"
                  },
                  {
                    "name": "language",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": "de"
                  },
                  {
                    "name": "mail",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": "example@ticketpay.de"
                  },
                  {
                    "name": "bsn",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": ""
                  },
                  {
                    "name": "qrcode_value",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": "X323HGF677GBJ"
                  },
                  {
                    "name": "custom_text_field_1",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": ""
                  },
                  {
                    "name": "custom_text_field_2",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": ""
                  },
                  {
                    "name": "custom_text_field_3",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": ""
                  },
                  {
                    "name": "custom_checkbox_1",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": ""
                  },
                  {
                    "name": "custom_checkbox_2",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": ""
                  },
                  {
                    "name": "custom_checkbox_3",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": ""
                  },
                  {
                    "name": "partner_name",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": "TicketPAY"
                  },
                  {
                    "name": "partner_email",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": "help@ticketpay.de"
                  },
                  {
                    "name": "partner_language",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": "de"
                  },
                  {
                    "name": "partner_contact",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": "Herr Mustermann"
                  },
                  {
                    "name": "partner_profiles",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": "Profil 3"
                  },
                  {
                    "name": "profile_name",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": "Profil 3"
                  },
                  {
                    "name": "profile_is_reserve",
                    "kind": "optional",
                    "type": "boolean",
                    "description": "",
                    "example": false
                  },
                  {
                    "name": "profile_time_ranges",
                    "kind": "optional",
                    "type": "array",
                    "description": "",
                    "example": "[\"FR\",\"SA\",\"SO\"]",
                    "itemType": "object",
                    "customType": "object[]",
                    "itemExample": "",
                    "itemDefault": ""
                  },
                  {
                    "name": "profile_areas",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": "[\"F\",\"VIP\"]"
                  },
                  {
                    "name": "project_id",
                    "kind": "optional",
                    "type": "integer",
                    "description": "",
                    "example": 95
                  },
                  {
                    "name": "partner_id",
                    "kind": "optional",
                    "type": "integer",
                    "description": "",
                    "example": 22
                  },
                  {
                    "name": "profile_id",
                    "kind": "optional",
                    "type": "integer",
                    "description": "",
                    "example": 244
                  },
                  {
                    "name": "created_iso",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": "2022-02-26T19:29:42+01:00"
                  },
                  {
                    "name": "updated_iso",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": "2022-02-26T19:29:43+01:00"
                  }
                ]
              }
            ],
            "modelRef": "#/components/schemas/get_employees",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "Response for a failed authentification.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "not_authorized",
            "schema": [
              {
                "name": "message",
                "kind": "optional",
                "type": "string",
                "description": "",
                "example": "Unauthorized"
              }
            ],
            "modelRef": "#/components/schemas/not_authorized",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "example-0-curl",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://tnapi.ticketpay.de/exports/employees \\\n     --header 'accept: application/json' \\\n     --header 'authorization: string'"
        },
        {
          "id": "example-1-javascript",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\nmyHeaders.append(\"authorization\", \"string\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://tnapi.ticketpay.de/exports/employees\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "example-2-ruby",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://tnapi.ticketpay.de/exports/employees\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest[\"authorization\"] = \"string\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "example-3-python",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://tnapi.ticketpay.de/exports/employees\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json',\n   'authorization': 'string'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "example-0-curl"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// Response for get employees.\n{\n  \"total\": 14,\n  \"page\": 1,\n  \"size\": 32,\n  \"data\": [\n    {\n      \"id\": 23841,\n      \"status\": \"imported\",\n      \"first_name\": \"John\",\n      \"middle_names\": \"Hans\",\n      \"last_name\": \"Wilson\",\n      \"birth_name\": \"Wilson\",\n      \"previous_last_names\": \"Wilsonsen\",\n      \"birth_date\": \"2000-01-01T00:00:00.000+01:00\",\n      \"birth_place\": \"Hamm\",\n      \"birth_country\": \"DE\",\n      \"zip\": 59071,\n      \"city\": \"Hamm\",\n      \"street\": \"Herbert-Rust-Weg\",\n      \"house_number\": 27,\n      \"nationality\": \"Deutsch\",\n      \"country\": \"DE\",\n      \"state\": \"NW\",\n      \"gender\": \"m\",\n      \"language\": \"de\",\n      \"mail\": \"example@ticketpay.de\",\n      \"bsn\": \"\",\n      \"qrcode_value\": \"X323HGF677GBJ\",\n      \"custom_text_field_1\": \"\",\n      \"custom_text_field_2\": \"\",\n      \"custom_text_field_3\": \"\",\n      \"custom_checkbox_1\": \"\",\n      \"custom_checkbox_2\": \"\",\n      \"custom_checkbox_3\": \"\",\n      \"partner_name\": \"TicketPAY\",\n      \"partner_email\": \"help@ticketpay.de\",\n      \"partner_language\": \"de\",\n      \"partner_contact\": \"Herr Mustermann\",\n      \"partner_profiles\": \"Profil 3\",\n      \"profile_name\": \"Profil 3\",\n      \"profile_is_reserve\": false,\n      \"profile_time_ranges\": [\n        {}\n      ],\n      \"profile_areas\": \"[\\\"F\\\",\\\"VIP\\\"]\",\n      \"project_id\": 95,\n      \"partner_id\": 22,\n      \"profile_id\": 244,\n      \"created_iso\": \"2022-02-26T19:29:42+01:00\",\n      \"updated_iso\": \"2022-02-26T19:29:43+01:00\"\n    }\n  ]\n}"
        },
        {
          "id": "response-1-401",
          "language": "401",
          "code": "// Response for a failed authentification.\n{\n  \"message\": \"Unauthorized\"\n}"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}